Page MenuHomePhabricator

codfw/eqiad:(9+9) hardware access request for ORES
Closed, ResolvedPublic

Description

Labs Project Tested: ores
Site/Location: EQIAD + CODFW
Number of systems: 9 per DC, 18 in total
Service: ORES
Networking Requirements: internal
Processor Requirements: 16 cores total
Memory: 64 GB
Disks: 1 TB capacity as RAID1 (software RAID is ok)
NIC(s): 1gbe network card

So this request is for both datacenters. Note that the requirements listed here are the same as T161700 (in turn the same as T141624). There is a reason for that. It is expected that ORES will migrate eventually to kubernetes and it would be great if then we would be able to fold the ores service cluster back into the kubernetes cluster as we move traffic to it without much hassle as to hardware specs and differences.

Related Objects

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 10 2016, 2:59 PM
RobH added a subscriber: RobH.EditedAug 18 2016, 5:16 PM

We don't have any single CPU hosts spare, I'll have to get a new quote. (They tend to be 10 cores these days at 2.4GHz).

The specs for this are very similar to our recent allocations/purchases for puppetmaster hosts on T142219, just with more memory.

I'll get the quotes gathered for this on a linked procurement sub-task.

Is there a time-frame for when these are needed? (Are they part of any quarterly goals?)

RobH renamed this task from Site: 8 hardware access request for ORES to codfw/eqiad:(4+4) hardware access request for ORES.Aug 18 2016, 5:28 PM
mark added a subscriber: mark.Aug 22 2016, 12:15 PM

@RobH: time frame is soon, no particular deadline but also no reason to delay this.

Dzahn triaged this task as Medium priority.Sep 22 2016, 6:40 PM

I 'll be updating the task based on internal emails, quite well summed up in T157222#3072376.

akosiaris renamed this task from codfw/eqiad:(4+4) hardware access request for ORES to codfw/eqiad:(9+9) hardware access request for ORES.Mar 29 2017, 3:33 PM
akosiaris updated the task description. (Show Details)
RobH added a comment.Mar 29 2017, 4:14 PM

I'll get quotes for this shortly, they'll be based on the identical specifications from task T145026, which was the kubernetes order for eqiad last September. (This will keep it in spec with kubernetes systems as requested.)

RobH added a comment.Mar 29 2017, 4:36 PM

I've requested quotes for both T142578 & T161700, as they are both identical hardware spec to the older order on T145026. Once I have the quote updates back from Dell, I'll escalate this for review.

The HP options last September were more expensive, and Dell has come in cheaper on this similar build on more recent tasks, so I'm not sure there is any benefit to having HP quote on this one. (Particularly since Dell won the bid last September and these will be interchangable and in the same service cluster(s) as those previous orders.)

RobH mentioned this in Unknown Object (Task).Mar 29 2017, 4:41 PM
RobH mentioned this in Unknown Object (Task).
RobH created subtask Unknown Object (Task).
RobH added a subtask: Unknown Object (Task).
RobH changed the task status from Open to Stalled.Apr 11 2017, 8:29 PM
RobH claimed this task.

I have sub tasks filed for the actual quotation, so I'm moving this to pending impelementation, assigned to me, and stalled.

RobH closed this task as Resolved.Jun 22 2017, 5:35 PM

Setup is being handled via T165171.

RobH closed subtask Unknown Object (Task) as Resolved.Aug 30 2017, 3:43 PM
RobH closed subtask Unknown Object (Task) as Resolved.Aug 30 2017, 3:57 PM